> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bungee.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bungee quote



## OpenAPI

````yaml https://public-backend.bungee.exchange/swagger-json get /api/v1/bungee/quote
openapi: 3.0.0
info:
  title: Bungee API Explorer
  description: API Endpoints for Bungee Exchange
  version: '1.0'
  contact: {}
servers:
  - url: https://public-backend.bungee.exchange
    description: Public Sandbox
  - url: https://dedicated-backend.bungee.exchange
    description: Dedicated Backend
  - url: https://backend.bungee.exchange
    description: Frontend/Direct
security: []
tags: []
paths:
  /api/v1/bungee/quote:
    get:
      tags:
        - Core API
      summary: Get Bungee quote
      operationId: BungeeController_quote_v1
      parameters:
        - name: userAddress
          required: false
          in: query
          description: Sender wallet address. Optional for deposit flow.
          schema:
            example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
            type: string
        - name: originChainId
          required: false
          in: query
          description: Source Chain Id
          schema:
            example: '42161'
            type: string
        - name: destinationChainId
          required: true
          in: query
          description: Destination Chain Id
          schema:
            example: '10'
            type: string
        - name: inputToken
          required: true
          in: query
          description: Address of the input token
          schema:
            example: '0xEeeeeEeeeEeEeeEeEeEeeEEEeeeeEeeeeeeeEEeE'
            type: string
        - name: inputAmount
          required: true
          in: query
          description: Input amount in wei
          schema:
            example: '100000000000000'
            type: string
        - name: receiverAddress
          required: true
          in: query
          description: Receiver wallet address
          schema:
            example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
            type: string
        - name: outputToken
          required: true
          in: query
          description: Output token address
          schema:
            example: '0x0b2c639c533813f4aa9d7837caf62653d097ff85'
            type: string
        - name: slippage
          required: false
          in: query
          description: >-
            Swap  slippage for manual routes and slippage considered for auto
            route. Example for 0.5% slippage
          schema:
            example: '0.5'
            type: string
        - name: delegateAddress
          required: false
          in: query
          description: >-
            Delegate address applied to routes where delegate is an option. By
            default set to userAddress
          schema:
            type: string
        - name: refuel
          required: false
          in: query
          description: Apply refuel to the request. Refuel by default is false
          schema:
            example: 'false'
            type: string
        - name: destinationPayload
          required: false
          in: query
          description: >-
            Destination payload to execute on the receiver. Destination gas
            limit needed along with this param if set
          schema:
            type: string
        - name: destinationGasLimit
          required: false
          in: query
          description: >-
            Destination gas limit to be used to execute the payload on
            destination receiver
          schema:
            type: string
        - name: feeBps
          required: false
          in: query
          description: Fee in bps. Supports decimal values. Example is 3.5 bps
          schema:
            example: '3.5'
            type: string
        - name: feeTakerAddress
          required: false
          in: query
          description: Address to collect fee
          schema:
            type: string
        - name: enableManual
          required: false
          in: query
          description: Enable manual routes. By default it is false
          schema:
            example: 'true'
            type: string
        - name: disableSwapping
          required: false
          in: query
          description: disable swapping for manual routes. By default it is false
          schema:
            type: string
        - name: disableAuto
          required: false
          in: query
          description: disable auto routes. By default it is false
          schema:
            type: string
        - name: excludeBridges
          required: false
          in: query
          description: >-
            Bridges to exclude in manual routes. Only applicable to manual
            routes
          schema:
            type: string
        - name: includeDexes
          required: false
          in: query
          description: >-
            Dexes to include while routing via manual routes. Only applicable to
            manual
          schema:
            type: string
        - name: excludeDexes
          required: false
          in: query
          description: Dexes to exclude in manual routes. Only applicable to manual routes
          schema:
            type: string
        - name: includeBridges
          required: false
          in: query
          description: >-
            Bridges to include while routing via manual routes. Only applicable
            to manual
          schema:
            type: string
        - name: exclusiveTransmitter
          required: false
          in: query
          description: >-
            exclusive requests can be sent by putting in an identifier address
            of the transmitter
          schema:
            type: string
        - name: useInbox
          required: false
          in: query
          description: >-
            use inbox to send request to the inbox. By default it is false. Only
            applicable to auto routes
          schema:
            type: string
        - name: enableMultipleAutoRoutes
          required: false
          in: query
          description: Enable multiple auto routes with different optimizations
          schema:
            default: false
            type: string
        - name: useDepositAddress
          required: false
          in: query
          description: >-
            Returns Quotes that require transferring funds to a deposit address
            which executes the bridging/cross-chain swap
          schema:
            type: string
        - name: enableDepositAddress
          required: false
          in: query
          description: >-
            Returns Quotes via the new Socket Core deposit flow (requires
            refundAddress)
          schema:
            type: string
        - name: refundAddress
          required: false
          in: query
          description: >-
            Address to refund the funds to. Required when enableDepositAddress
            is true.
          schema:
            type: string
        - name: depositDestinationMemo
          required: false
          in: query
          description: >-
            Destination chain memo for the receiver address. Only applicable for
            Stellar source chains.
          schema:
            type: string
        - name: exchange
          required: false
          in: query
          description: >-
            CEX exchange name for deposit flow. When set, routes are filtered to
            networks supported by this exchange (e.g. coinbase, binance).
          schema:
            type: string
        - name: solanaSponsorAddress
          required: false
          in: query
          description: >-
            Solana sponsor address for the request. When set, same chain swaps
            with selected dexes will be sponsored by this address.
          schema:
            type: string
      responses:
        '200':
          description: Bungee quote response for a same-chain or cross-chain swap
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponseDto'
                  - properties:
                      result:
                        $ref: '#/components/schemas/BungeeQuoteResponseDto'
              examples:
                permit2Example:
                  value:
                    success: true
                    statusCode: 200
                    result:
                      originChainId: 42161
                      destinationChainId: 8453
                      userAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                      receiverAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                      input:
                        token:
                          chainId: 42161
                          address: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                          name: USDC
                          symbol: USDC
                          decimals: 6
                          logoURI: >-
                            https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                          icon: >-
                            https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                        amount: '100000000'
                        priceInUsd: 1
                        valueInUsd: 100
                      destinationExec: null
                      autoRoute:
                        userOp: sign
                        requestHash: >-
                          0x903a4ca1867d1e4706d7a2dc458725571d77698d2806ab68cff7f155ceee7a64
                        output:
                          token:
                            chainId: 8453
                            address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                            name: Ether
                            symbol: ETH
                            decimals: 18
                            logoURI: https://media.socket.tech/networks/ethereum.svg
                            icon: https://media.socket.tech/networks/ethereum.svg
                          priceInUsd: 2929.17
                          valueInUsd: 99.88313632983598
                          minAmountOut: '33928969861150703'
                          amount: '34099467197136385'
                          effectiveReceivedInUsd: 99.88313632983598
                        requestType: SINGLE_OUTPUT_REQUEST
                        approvalData:
                          spenderAddress: '0x000000000022D473030F116dDEE9F6B43aC78BA3'
                          amount: '100000000'
                          tokenAddress: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                          userAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                        affiliateFee: null
                        signTypedData:
                          domain:
                            name: Permit2
                            chainId: 42161
                            verifyingContract: '0x000000000022D473030F116dDEE9F6B43aC78BA3'
                          types:
                            PermitWitnessTransferFrom:
                              - name: permitted
                                type: TokenPermissions
                              - name: spender
                                type: address
                              - name: nonce
                                type: uint256
                              - name: deadline
                                type: uint256
                              - name: witness
                                type: Request
                            TokenPermissions:
                              - name: token
                                type: address
                              - name: amount
                                type: uint256
                            Request:
                              - name: basicReq
                                type: BasicRequest
                              - name: swapOutputToken
                                type: address
                              - name: minSwapOutput
                                type: uint256
                              - name: metadata
                                type: bytes32
                              - name: affiliateFees
                                type: bytes
                              - name: minDestGas
                                type: uint256
                              - name: destinationPayload
                                type: bytes
                              - name: exclusiveTransmitter
                                type: address
                            BasicRequest:
                              - name: originChainId
                                type: uint256
                              - name: destinationChainId
                                type: uint256
                              - name: deadline
                                type: uint256
                              - name: nonce
                                type: uint256
                              - name: sender
                                type: address
                              - name: receiver
                                type: address
                              - name: delegate
                                type: address
                              - name: bungeeGateway
                                type: address
                              - name: switchboardId
                                type: uint32
                              - name: inputToken
                                type: address
                              - name: inputAmount
                                type: uint256
                              - name: outputToken
                                type: address
                              - name: minOutputAmount
                                type: uint256
                              - name: refuelAmount
                                type: uint256
                          values:
                            permitted:
                              token: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                              amount: '100000000'
                            spender: '0xcdea28ee7bd5bf7710b294d9391e1b6a318d809a'
                            nonce: '1765973054'
                            deadline: 1765973654
                            witness:
                              basicReq:
                                originChainId: 42161
                                destinationChainId: 8453
                                deadline: 1765973654
                                nonce: '1765973054'
                                sender: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                                receiver: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                                delegate: '0x86C950FE91D96Fa113A96eE23EDc7C517b94BFDC'
                                bungeeGateway: '0xcdea28ee7bd5bf7710b294d9391e1b6a318d809a'
                                switchboardId: 1
                                inputToken: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                                inputAmount: '100000000'
                                outputToken: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                                minOutputAmount: '33928969861150703'
                                refuelAmount: '0'
                              swapOutputToken: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                              minSwapOutput: '33974425024229249'
                              metadata: >-
                                0xae76afe1490c38e4000000000000000000000000000000000000000000002713
                              affiliateFees: 0x
                              minDestGas: '0'
                              destinationPayload: 0x
                              exclusiveTransmitter: '0x0000000000000000000000000000000000000000'
                        gasFee: null
                        slippage: 0.5
                        suggestedClientSlippage: 0.5
                        txData: null
                        estimatedTime: 20
                        routeDetails:
                          name: Bungee Protocol
                          logoURI: ''
                          routeFee: null
                          dexDetails: null
                        refuel: null
                        quoteId: ae76afe1490c38e4
                        quoteExpiry: 1765973114
                        routeTags:
                          - MAX_OUTPUT
                          - SUGGESTED
                      manualRoutes: []
                      depositRoute: null
                    message: null
                  summary: Arbitrum USDC to Base ETH via Auto with Permit2
                onchainExample:
                  value:
                    success: true
                    statusCode: 200
                    result:
                      originChainId: 42161
                      destinationChainId: 8453
                      userAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                      receiverAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                      input:
                        token:
                          chainId: 42161
                          address: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                          name: USDC
                          symbol: USDC
                          decimals: 6
                          logoURI: >-
                            https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                          icon: >-
                            https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                        amount: '100000000'
                        priceInUsd: 1
                        valueInUsd: 100
                      destinationExec: null
                      autoRoute:
                        userOp: tx
                        requestHash: >-
                          0x8ff933160c441bb1d8ab62cfddab5fe718195c9f118ba71fd75a0907a423c971
                        output:
                          token:
                            chainId: 8453
                            address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                            name: Ether
                            symbol: ETH
                            decimals: 18
                            logoURI: https://media.socket.tech/networks/ethereum.svg
                            icon: https://media.socket.tech/networks/ethereum.svg
                          priceInUsd: 2933.64
                          valueInUsd: 99.91129321255198
                          minAmountOut: '33886822086721353'
                          amount: '34057107624845581'
                          effectiveReceivedInUsd: 99.91129321255198
                        requestType: SINGLE_OUTPUT_REQUEST
                        approvalData:
                          spenderAddress: '0xa3bf43451cdeb6dec588b8833838fc419ce4f54c'
                          amount: '100000000'
                          tokenAddress: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                          userAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                        affiliateFee: null
                        signTypedData: null
                        gasFee:
                          gasToken:
                            chainId: 42161
                            address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                            name: Arbitrum Ether
                            symbol: ETH
                            decimals: 18
                            logoURI: https://media.socket.tech/networks/ethereum.svg
                            icon: https://media.socket.tech/networks/ethereum.svg
                          gasLimit: '500000'
                          gasPrice: '10000000'
                          estimatedFee: '5000000000000'
                          feeInUsd: 0.0146682
                        slippage: 0.5
                        suggestedClientSlippage: 0.5
                        txData:
                          to: '0xa3bf43451cdeb6dec588b8833838fc419ce4f54c'
                          data: >-
                            0x69e0a5560000000000000000000000000000000000000000000000000000000000000020000000000000000000000000000000000000000000000000000000000000a4b100000000000000000000000000000000000000000000000000000000000021050000000000000000000000000000000000000000000000000000000069429fde0000000000000000000000000000000000000000000000000000000069429d86000000000000000000000000a3bf43451cdeb6dec588b8833838fc419ce4f54c000000000000000000000000664b591ab924c6bb2caca533ed702386934a11d600000000000000000000000086c950fe91d96fa113a96ee23edc7c517b94bfdc000000000000000000000000cdea28ee7bd5bf7710b294d9391e1b6a318d809a0000000000000000000000000000000000000000000000000000000000000001000000000000000000000000af88d065e77c8cc2239327c5edb3a432268e58310000000000000000000000000000000000000000000000000000000005f5e100000000000000000000000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee000000000000000000000000000000000000000000000000007863e2990bbf490000000000000000000000000000000000000000000000000000000000000000000000000000000000000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee00000000000000000000000000000000000000000000000000789a9ad1b66b1164e661e45d671e5c00000000000000000000000000000000000000000000271300000000000000000000000000000000000000000000000000000000000002a0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002c0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
                          value: '0'
                          chainId: 42161
                        estimatedTime: 20
                        routeDetails:
                          name: Bungee Protocol
                          logoURI: ''
                          routeFee: null
                          dexDetails: null
                        refuel: null
                        quoteId: 64e661e45d671e5c
                        quoteExpiry: 1765973442
                        routeTags:
                          - MAX_OUTPUT
                          - SUGGESTED
                      manualRoutes: []
                      depositRoute: null
                    message: null
                  summary: Arbitrum USDC to Base ETH via Auto onchain
                manualExample:
                  value:
                    success: true
                    statusCode: 200
                    result:
                      originChainId: 42161
                      destinationChainId: 8453
                      userAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                      receiverAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                      input:
                        token:
                          chainId: 42161
                          address: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                          name: USDC
                          symbol: USDC
                          decimals: 6
                          logoURI: >-
                            https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                          icon: >-
                            https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                        amount: '100000000'
                        priceInUsd: 1
                        valueInUsd: 100
                      destinationExec: null
                      autoRoute: null
                      manualRoutes:
                        - quoteId: 0931f75b2a661fab
                          quoteExpiry: 1765973854
                          output:
                            token:
                              chainId: 8453
                              address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                              name: Ether
                              symbol: ETH
                              decimals: 18
                              logoURI: https://media.socket.tech/networks/ethereum.svg
                              icon: https://media.socket.tech/networks/ethereum.svg
                            amount: '34093090760327505'
                            priceInUsd: 2933.95
                            valueInUsd: 100.027423636
                            minAmountOut: '34093090760327505'
                            effectiveReceivedInUsd: 99.9974893355362
                          affiliateFee: null
                          approvalData:
                            spenderAddress: '0x3a23F943181408EAC424116Af7b7790c94Cb97a5'
                            amount: '100000000'
                            tokenAddress: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                            userAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                          gasFee:
                            gasToken:
                              chainId: 42161
                              address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                              symbol: ETH
                              name: Ethereum
                              decimals: 18
                              icon: https://media.socket.tech/tokens/all/ETH
                              logoURI: https://media.socket.tech/tokens/all/ETH
                              chainAgnosticId: null
                            gasLimit: '806774'
                            gasPrice: '10000000'
                            estimatedFee: '8067740000000'
                            feeInUsd: 0.029934300463800002
                          slippage: 0.5
                          estimatedTime: 60
                          routeDetails:
                            name: Across
                            logoURI: https://media.socket.tech/bridges/across.png
                            routeFee:
                              token:
                                chainId: 42161
                                address: '0x82af49447d8a07e3bd95bd0d56f35241523fbab1'
                                symbol: WETH
                                name: Wrapped Ether
                                decimals: 18
                                icon: https://media.socket.tech/tokens/all/WETH
                                logoURI: https://media.socket.tech/tokens/all/WETH
                                chainAgnosticId: ETH
                              amount: '5401856665808'
                              feeInUsd: 0.015833706184549778
                              priceInUsd: 2931.1600000000003
                            dexDetails:
                              protocol:
                                name: zeroxv2
                                icon: https://media.socket.tech/dexes/0x.svg
                                displayName: 0x
                              minAmountOut: '33928000153908346'
                              outputTokenAddress: '0x82af49447d8a07e3bd95bd0d56f35241523fbab1'
                              inputTokenAddress: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                              amountOut: '34098492616993313'
                              slippage: 0.5
                          refuel: null
                        - quoteId: 569db461d0f1b1da
                          quoteExpiry: 1765973854
                          output:
                            token:
                              chainId: 8453
                              address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                              name: Ether
                              symbol: ETH
                              decimals: 18
                              logoURI: https://media.socket.tech/networks/ethereum.svg
                              icon: https://media.socket.tech/networks/ethereum.svg
                            amount: '34082217797822100'
                            priceInUsd: 2933.95
                            valueInUsd: 99.995522907
                            minAmountOut: '33911806708833000'
                            effectiveReceivedInUsd: 99.95841920699999
                          affiliateFee: null
                          approvalData:
                            spenderAddress: '0x3a23F943181408EAC424116Af7b7790c94Cb97a5'
                            amount: '100000000'
                            tokenAddress: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                            userAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                          gasFee:
                            gasToken:
                              chainId: 42161
                              address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                              symbol: ETH
                              name: Ethereum
                              decimals: 18
                              icon: https://media.socket.tech/tokens/all/ETH
                              logoURI: https://media.socket.tech/tokens/all/ETH
                              chainAgnosticId: null
                            gasLimit: '1000000'
                            gasPrice: '10000000'
                            estimatedFee: '10000000000000'
                            feeInUsd: 0.0371037
                          slippage: 0.5
                          estimatedTime: 60
                          routeDetails:
                            name: Mayan
                            logoURI: >-
                              https://media.socket.tech/bridges/mayan-new-logo.svg
                            routeFee:
                              token:
                                chainId: 8453
                                address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                                symbol: ETH
                                name: Ethereum
                                decimals: 18
                                icon: https://media.socket.tech/tokens/all/ETH
                                logoURI: https://media.socket.tech/tokens/all/ETH
                                chainAgnosticId: ETH
                              amount: '0'
                              feeInUsd: 0
                              priceInUsd: 0
                            dexDetails: null
                          refuel: null
                        - quoteId: 89b125ac3818e109
                          quoteExpiry: 1765973854
                          output:
                            token:
                              chainId: 8453
                              address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                              name: Ether
                              symbol: ETH
                              decimals: 18
                              logoURI: https://media.socket.tech/networks/ethereum.svg
                              icon: https://media.socket.tech/networks/ethereum.svg
                            amount: '34059000000000000'
                            priceInUsd: 2933.95
                            valueInUsd: 99.92740305
                            minAmountOut: '33888000000000000'
                            effectiveReceivedInUsd: 99.8164014937802
                          affiliateFee: null
                          approvalData:
                            spenderAddress: '0x3a23F943181408EAC424116Af7b7790c94Cb97a5'
                            amount: '100000000'
                            tokenAddress: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                            userAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                          gasFee:
                            gasToken:
                              chainId: 42161
                              address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                              symbol: ETH
                              name: Ethereum
                              decimals: 18
                              icon: https://media.socket.tech/tokens/all/ETH
                              logoURI: https://media.socket.tech/tokens/all/ETH
                              chainAgnosticId: null
                            gasLimit: '1258086'
                            gasPrice: '10000000'
                            estimatedFee: '29916573338990'
                            feeInUsd: 0.11100155621978833
                          slippage: 0.5
                          estimatedTime: 35
                          routeDetails:
                            name: Stargate V2
                            logoURI: >-
                              https://s2.coinmarketcap.com/static/img/coins/128x128/18934.png
                            routeFee:
                              token:
                                chainId: 42161
                                address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                                symbol: ETH
                                name: Ethereum
                                decimals: 18
                                icon: https://media.socket.tech/tokens/all/ETH
                                logoURI: https://media.socket.tech/tokens/all/ETH
                                chainAgnosticId: null
                              amount: '17335713338990'
                              feeInUsd: 0.06432191070158833
                              priceInUsd: 3710.3700000000003
                            dexDetails:
                              protocol:
                                name: zeroxv2
                                icon: https://media.socket.tech/dexes/0x.svg
                                displayName: 0x
                              minAmountOut: '33928000153908346'
                              outputTokenAddress: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                              inputTokenAddress: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                              amountOut: '34098492616993313'
                              slippage: 0.5
                          refuel: null
                        - quoteId: 0b7a6a37532e32a1
                          quoteExpiry: 1765973854
                          output:
                            token:
                              chainId: 8453
                              address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                              name: Ether
                              symbol: ETH
                              decimals: 18
                              logoURI: https://media.socket.tech/networks/ethereum.svg
                              icon: https://media.socket.tech/networks/ethereum.svg
                            amount: '34050147079088043'
                            priceInUsd: 2933.95
                            valueInUsd: 99.901429022
                            minAmountOut: '33879896343692602'
                            effectiveReceivedInUsd: 99.845773472
                          affiliateFee: null
                          approvalData:
                            spenderAddress: '0x3a23F943181408EAC424116Af7b7790c94Cb97a5'
                            amount: '100000000'
                            tokenAddress: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                            userAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                          gasFee:
                            gasToken:
                              chainId: 42161
                              address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                              symbol: ETH
                              name: Ethereum
                              decimals: 18
                              icon: https://media.socket.tech/tokens/all/ETH
                              logoURI: https://media.socket.tech/tokens/all/ETH
                              chainAgnosticId: null
                            gasLimit: '1500000'
                            gasPrice: '10000000'
                            estimatedFee: '15000000000000'
                            feeInUsd: 0.05565555
                          slippage: 0.5
                          estimatedTime: 60
                          routeDetails:
                            name: Symbiosis
                            logoURI: >-
                              https://uploads-ssl.webflow.com/61fcf1270803af7f74e70710/624b14a939fd92c0d2e2de41_Frame%202085652619.jpg
                            routeFee:
                              token:
                                chainId: 42161
                                address: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                                symbol: USDC
                                name: USD Coin
                                decimals: 6
                                icon: https://media.socket.tech/tokens/all/USDC
                                logoURI: https://media.socket.tech/tokens/all/USDC
                                chainAgnosticId: null
                              amount: '-25710000'
                              feeInUsd: -25.71
                              priceInUsd: 1
                            dexDetails: null
                          refuel: null
                        - quoteId: ac9ec2e959d48051
                          quoteExpiry: 1765973854
                          output:
                            token:
                              chainId: 8453
                              address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                              name: Ether
                              symbol: ETH
                              decimals: 18
                              logoURI: https://media.socket.tech/networks/ethereum.svg
                              icon: https://media.socket.tech/networks/ethereum.svg
                            amount: '33041933434782817'
                            priceInUsd: 2933.95
                            valueInUsd: 96.9433806
                            minAmountOut: '32805357104828284'
                            effectiveReceivedInUsd: 96.87814910448179
                          affiliateFee: null
                          approvalData:
                            spenderAddress: '0x3a23F943181408EAC424116Af7b7790c94Cb97a5'
                            amount: '100000000'
                            tokenAddress: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                            userAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                          gasFee:
                            gasToken:
                              chainId: 42161
                              address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                              symbol: ETH
                              name: Ethereum
                              decimals: 18
                              icon: https://media.socket.tech/tokens/all/ETH
                              logoURI: https://media.socket.tech/tokens/all/ETH
                              chainAgnosticId: null
                            gasLimit: '1758086'
                            gasPrice: '10000000'
                            estimatedFee: '17580860000000'
                            feeInUsd: 0.0652314955182
                          slippage: 0.5
                          estimatedTime: 60
                          routeDetails:
                            name: Synapse
                            logoURI: https://media.socket.tech/bridges/synapse.svg
                            routeFee:
                              token:
                                chainId: 42161
                                address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                                symbol: ETH
                                name: Ethereum
                                decimals: 18
                                icon: https://media.socket.tech/tokens/all/ETH
                                logoURI: https://media.socket.tech/tokens/all/ETH
                                chainAgnosticId: null
                              amount: '1056559182210496'
                              feeInUsd: 3.920225492898358
                              priceInUsd: 3710.37
                            dexDetails:
                              protocol:
                                name: zeroxv2
                                icon: https://media.socket.tech/dexes/0x.svg
                                displayName: 0x
                              minAmountOut: '33928000153908346'
                              outputTokenAddress: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                              inputTokenAddress: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                              amountOut: '34098492616993313'
                              slippage: 0.5
                          refuel: null
                      depositRoute: null
                    message: null
                  summary: Arbitrum USDC to Base ETH via Manual Route
                depositExample:
                  value:
                    success: true
                    statusCode: 200
                    result:
                      originChainId: 728126428
                      destinationChainId: 8453
                      userAddress: TMe1CS54poswoTTrPAtqsKhry4RM7nvSF4
                      receiverAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                      input:
                        token:
                          chainId: 728126428
                          address: TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t
                          name: Tether USD
                          symbol: USDT
                          decimals: 6
                          logoURI: >-
                            https://coin-images.coingecko.com/coins/images/325/large/Tether.png?1696501661
                          icon: >-
                            https://coin-images.coingecko.com/coins/images/325/large/Tether.png?1696501661
                        amount: '9681288'
                        priceInUsd: 0.999792
                        valueInUsd: 9.6796615436
                      destinationExec: null
                      autoRoute: null
                      manualRoutes: []
                      depositRoute:
                        depositAddress: TWMsLzKo9sCzQP4Sh4cbgZpCZnXCTyeiHn
                        quoteId: >-
                          0xcc79a810384db8a2325c181e0b8da51082cf41aacf4bef9da937dfbc60d1087e
                        userOp: tx
                        txData:
                          type: tron
                          data: >-
                            0xa9059cbb000000000000000000000000dfabacaab75c5e0e584b0572e37705f571c8658b000000000000000000000000000000000000000000000000000000000093b988cc79a810384db8a2325c181e0b8da51082cf41aacf4bef9da937dfbc60d1087e
                          value: '0'
                          to: '0xa614f803B6FD780986A42c78Ec9c7f77e6DeD13C'
                          chainId: 728126428
                        gasFee:
                          gasToken:
                            chainId: 728126428
                            address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                            name: TRX
                            symbol: TRX
                            decimals: 6
                            logoURI: >-
                              https://assets.coingecko.com/coins/images/1094/standard/tron-logo.png
                            icon: >-
                              https://assets.coingecko.com/coins/images/1094/standard/tron-logo.png
                          gasLimit: '65000'
                          gasPrice: '100'
                          estimatedFee: '6500000'
                          feeInUsd: 1.815307
                        signTypedData: null
                        output:
                          token:
                            chainId: 8453
                            address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
                            name: USDC
                            symbol: USDC
                            decimals: 6
                            logoURI: >-
                              https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                            icon: >-
                              https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                          priceInUsd: 1
                          valueInUsd: 6.502871
                          minAmountOut: '6437842'
                          amount: '6502871'
                          effectiveReceivedInUsd: 6.502871
                        estimatedTime: 32
                        slippage: 1
                        suggestedSlippage: 1
                    message: null
                  summary: Tron USDT to Base USDC via Deposit Route
components:
  schemas:
    SuccessResponseDto:
      type: object
      properties:
        success:
          type: boolean
          description: flag indicating whether the req was successful
          default: true
        statusCode:
          type: number
          description: Http status code
          default: 200
        message:
          type: string
          description: error message if request failed
          nullable: true
      required:
        - success
        - statusCode
    BungeeQuoteResponseDto:
      type: object
      properties:
        originChainId:
          type: number
          description: Origin chain ID
          example: 42161
        destinationChainId:
          type: number
          description: Destination chain ID
          example: 10
        receiverAddress:
          type: string
          description: Receiver address
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
        userAddress:
          type: string
          description: User address
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
        input:
          description: Input information
          allOf:
            - $ref: '#/components/schemas/BungeeInputDto'
        destinationExec:
          description: Destination execution details
          nullable: true
          allOf:
            - $ref: '#/components/schemas/DestinationExecDto'
        autoRoute:
          description: Auto route information
          allOf:
            - $ref: '#/components/schemas/AutoRouteDto'
        autoRoutes:
          description: Multiple auto routes with different optimizations
          type: array
          items:
            $ref: '#/components/schemas/AutoRouteDto'
        manualRoutes:
          description: Manual routes
          type: array
          items:
            $ref: '#/components/schemas/ManualRouteDto'
        depositRoute:
          description: Deposit Address Route (legacy flow)
          allOf:
            - $ref: '#/components/schemas/DepositRouteDto'
        deposit:
          description: Socket Core Deposit Address Route (new flow)
          allOf:
            - $ref: '#/components/schemas/SocketCoreDepositRouteDto'
      required:
        - originChainId
        - destinationChainId
        - receiverAddress
        - userAddress
        - input
        - destinationExec
        - autoRoute
    BungeeInputDto:
      type: object
      properties:
        token:
          description: Token information
          allOf:
            - $ref: '#/components/schemas/TokenDto'
        amount:
          type: string
          description: Token amount in wei
          example: '1000000'
        priceInUsd:
          type: number
          description: Token price in USD
          example: 1
        valueInUsd:
          type: number
          description: Value of the token amount in USD
          example: 1
      required:
        - token
        - amount
        - priceInUsd
        - valueInUsd
    DestinationExecDto:
      type: object
      properties:
        destinationPayload:
          type: string
          description: Destination payload
          example: 0x
        destinationGasLimit:
          type: string
          description: Destination gas limit
          example: '0'
      required:
        - destinationPayload
        - destinationGasLimit
    AutoRouteDto:
      type: object
      properties:
        userOp:
          type: string
          description: User operation type
          example: sign
        requestHash:
          type: string
          description: Request hash
          example: '0xd7d158ed55b5d3b5e19bff46044243214ee66113271b210606b5962e769be9c6'
        output:
          description: Output information
          allOf:
            - $ref: '#/components/schemas/BungeeOutputDto'
        requestType:
          type: string
          description: Request type
          example: SINGLE_OUTPUT_REQUEST
          enum:
            - SINGLE_OUTPUT_REQUEST
            - SWAP_REQUEST
        approvalData:
          description: Approval data
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ApprovalDataDto'
        affiliateFee:
          description: Affiliate fee information
          nullable: true
          allOf:
            - $ref: '#/components/schemas/AffiliateFeeDto'
        signTypedData:
          description: Sign typed data
          nullable: true
          allOf:
            - $ref: '#/components/schemas/SignTypedDataDto'
        gasFee:
          description: Gas fee information
          nullable: true
          allOf:
            - $ref: '#/components/schemas/GasFeeDto'
        slippage:
          type: number
          description: Slippage percentage
          example: 0.5
        suggestedClientSlippage:
          type: number
          description: Suggested client slippage percentage
          example: 0.5
        txData:
          description: Transaction data
          nullable: true
          allOf:
            - $ref: '#/components/schemas/TransactionDataDto'
        estimatedTime:
          type: number
          description: Estimated time in seconds
          example: 10
        routeDetails:
          description: Route details
          allOf:
            - $ref: '#/components/schemas/RouteDetailsDto'
        refuel:
          description: Refuel information
          nullable: true
          allOf:
            - $ref: '#/components/schemas/RefuelDto'
        quoteId:
          type: string
          description: Quote ID
          example: 8d093296d3014fb588dc5e3fc359be56
        quoteExpiry:
          type: number
          description: Epoch timestamp for quote expiry
          example: 1745927101
        rewards:
          description: Rewards information
          allOf:
            - $ref: '#/components/schemas/RewardsDto'
        routeTags:
          description: All applicable route tags
          example:
            - MAX_OUTPUT
            - SUGGESTED
            - FASTEST
          type: array
          items:
            type: string
        refundAddress:
          type: string
          description: Refund address
          example: '0x3e8cB4bd04d81498aB4b94a392c334F5328b237b'
      required:
        - userOp
        - requestHash
        - output
        - requestType
        - approvalData
        - affiliateFee
        - signTypedData
        - gasFee
        - slippage
        - suggestedClientSlippage
        - txData
        - estimatedTime
        - routeDetails
        - refuel
        - quoteId
        - quoteExpiry
        - routeTags
        - refundAddress
    ManualRouteDto:
      type: object
      properties:
        quoteId:
          type: string
          description: Route ID
          example: dbea14bb-d693-4fcb-8c8b-5c124258a96b
        output:
          description: Output information
          allOf:
            - $ref: '#/components/schemas/BungeeOutputDto'
        affiliateFee:
          description: Affiliate fee information
          nullable: true
          allOf:
            - $ref: '#/components/schemas/AffiliateFeeDto'
        approvalData:
          description: Approval data
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ApprovalDataDto'
        gasFee:
          description: Gas fee information
          allOf:
            - $ref: '#/components/schemas/GasFeeDto'
        slippage:
          type: number
          description: Slippage percentage
          example: 0.5
        estimatedTime:
          type: number
          description: Estimated time in seconds
          example: 60
        routeDetails:
          description: Route details
          allOf:
            - $ref: '#/components/schemas/RouteDetailsDto'
        refuel:
          description: Refuel information
          nullable: true
          allOf:
            - $ref: '#/components/schemas/RefuelDto'
      required:
        - quoteId
        - output
        - affiliateFee
        - approvalData
        - gasFee
        - slippage
        - estimatedTime
        - routeDetails
        - refuel
    DepositRouteDto:
      type: object
      properties:
        depositAddress:
          type: string
          description: Address where the user deposits funds to
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
        quoteId:
          type: string
          description: ID associated with Quote
          example: '0xfe6210528387a2653b88436b3beb374d9fe113b92ce4b08b82e40a5c02c6055d'
        userOp:
          type: string
          description: Type of user operation to be performed
          example: tx
        output:
          description: Output information
          allOf:
            - $ref: '#/components/schemas/BungeeOutputDto'
        gasFee:
          description: Gas fee information
          nullable: true
          allOf:
            - $ref: '#/components/schemas/GasFeeDto'
        estimatedTime:
          type: number
          description: Estimated time in seconds
          example: 60
        slippage:
          type: number
          description: Slippage percentage
          example: 0.5
        suggestedSlippage:
          type: number
          description: Suggested slippage percentage
          example: 0.5
        totalFeeBps:
          type: string
          description: >-
            Total fee in bps applied on socket deposit route (integrator +
            protocol + transmitter)
          example: '16.25'
      required:
        - depositAddress
        - quoteId
        - userOp
        - output
        - gasFee
        - estimatedTime
        - slippage
        - suggestedSlippage
    SocketCoreDepositRouteDto:
      type: object
      properties:
        requestHash:
          type: string
          description: Unique hash identifying this deposit quote
          example: '0xfe6210528387a2653b88436b3beb374d9fe113b92ce4b08b82e40a5c02c6055d'
        userOp:
          type: string
          description: Type of user operation to be performed
          example: transfer
        depositData:
          description: Deposit address details and token info
          allOf:
            - $ref: '#/components/schemas/DepositDataDto'
        txData:
          description: Transaction data
          nullable: true
          allOf:
            - $ref: '#/components/schemas/TransactionDataDto'
        signTypedData:
          description: Signed typed data
          nullable: true
          allOf:
            - $ref: '#/components/schemas/SignTypedDataDto'
        gasFee:
          description: Gas fee information
          nullable: true
          allOf:
            - $ref: '#/components/schemas/GasFeeDto'
        output:
          description: Output information
          allOf:
            - $ref: '#/components/schemas/BungeeOutputDto'
        estimatedTime:
          type: number
          description: Estimated time in seconds
          example: 60
        slippage:
          type: number
          description: Slippage percentage
          example: 0.5
        suggestedSlippage:
          type: number
          description: Suggested slippage percentage
          example: 0.5
        totalFeeBps:
          type: string
          description: >-
            Total fee in bps applied on socket deposit route (integrator +
            protocol + transmitter)
          example: '16.25'
        expiry:
          type: number
          description: Unix timestamp when this quote expires
          example: 1771335259
        refundAddress:
          type: string
          description: Address to refund funds to if deposit fails
        exchange:
          type: string
          description: CEX exchange
        cexFee:
          type: string
          description: CEX fee
        inputTokenAsset:
          description: Input token asset
          allOf:
            - $ref: '#/components/schemas/TokenAssetDto'
      required:
        - requestHash
        - userOp
        - depositData
        - txData
        - signTypedData
        - gasFee
        - output
        - estimatedTime
        - slippage
        - suggestedSlippage
        - expiry
    TokenDto:
      type: object
      properties:
        chainId:
          type: number
          description: Chain ID of the token
          example: 42161
        address:
          type: string
          description: Token address
          example: '0xaf88d065e77c8cC2239327C5EDb3A432268e5831'
        name:
          type: string
          description: Token name
          example: USD Coin
        symbol:
          type: string
          description: Token symbol
          example: USDC
        decimals:
          type: number
          description: Token decimals
          example: 6
        logoURI:
          type: string
          description: Logo URI
          example: >-
            https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
        icon:
          type: string
          description: Icon URI
          example: >-
            https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
      required:
        - chainId
        - address
        - name
        - symbol
        - decimals
        - logoURI
    BungeeOutputDto:
      type: object
      properties:
        token:
          description: Token information
          allOf:
            - $ref: '#/components/schemas/TokenDto'
        amount:
          type: string
          description: Expected token amount in wei
          example: '940737'
        effectiveAmount:
          type: string
          description: Expected token amount in wei after fees
          example: '940737'
        priceInUsd:
          type: number
          description: Token price in USD
          example: 1
        valueInUsd:
          type: number
          description: Value of the token amount in USD
          example: 0.940737
        effectiveValueInUsd:
          type: number
          description: Value of the token amount in USD after fees
          example: 0.940737
        minAmountOut:
          type: string
          description: Minimum output amount
          example: '936033'
        effectiveReceivedInUsd:
          type: number
          description: Value of the token amount in USD after fees
          example: 0.940737
      required:
        - token
        - amount
        - effectiveAmount
        - priceInUsd
        - valueInUsd
        - effectiveValueInUsd
        - minAmountOut
        - effectiveReceivedInUsd
    ApprovalDataDto:
      type: object
      properties:
        spenderAddress:
          type: string
          description: Address to approve spending for
          example: '0x3a23F943181408EAC424116Af7b7790c94Cb97a5'
        amount:
          type: string
          description: Amount to approve
          example: '1000000'
        tokenAddress:
          type: string
          description: Token address to approve
          example: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
        userAddress:
          type: string
          description: user address to give approval
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
      required:
        - spenderAddress
        - amount
        - tokenAddress
        - userAddress
    AffiliateFeeDto:
      type: object
      properties:
        token:
          description: Token information
          allOf:
            - $ref: '#/components/schemas/TokenDto'
        amount:
          type: string
          description: Fee amount
          example: '2585'
        feeTakerAddress:
          type: string
          description: Fee taker address
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
      required:
        - token
        - amount
        - feeTakerAddress
    SignTypedDataDto:
      type: object
      properties:
        domain:
          description: Domain information
          allOf:
            - $ref: '#/components/schemas/DomainDto'
        types:
          type: object
          description: Type definitions
        values:
          type: object
          description: Values for the typed data
      required:
        - domain
        - types
        - values
    GasFeeDto:
      type: object
      properties:
        gasToken:
          description: Gas token
          allOf:
            - $ref: '#/components/schemas/TokenDto'
        gasLimit:
          type: string
          description: Gas limit
          example: '567600'
        gasPrice:
          type: string
          description: Gas price
          example: '10000000'
        estimatedFee:
          type: string
          description: Estimated fee in wei
          example: '5676000000000'
        feeInUsd:
          type: number
          description: Fee in USD
          example: 0.0090168936
      required:
        - gasToken
        - gasLimit
        - gasPrice
        - estimatedFee
        - feeInUsd
    TransactionDataDto:
      type: object
      properties:
        data:
          description: Transaction data payload - string for EVM chains, object for Solana
          oneOf:
            - type: string
              example: 0x0000019f792ebcb9000...00000
            - $ref: '#/components/schemas/SerializedTxDataDto'
        to:
          type: string
          description: >-
            Contract address to which tx data needs to be sent (required for
            EVM, not used for Solana)
          example: '0x3a23F943181408EAC424116Af7b7790c94Cb97a5'
        chainId:
          type: number
          description: Network ID
          example: 42161
        value:
          type: string
          description: Transaction value in wei
          example: '0x00'
        type:
          type: string
          description: Type of blockchain transaction specific to chain
          example: tron
      required:
        - data
        - chainId
        - value
    RouteDetailsDto:
      type: object
      properties:
        name:
          type: string
          description: Route name
          example: Bungee Protocol
        logoURI:
          type: string
          description: Route logo URI
          example: https://media.socket.tech/bridges/across.png
        routeFee:
          description: Route fee information
          nullable: true
          allOf:
            - $ref: '#/components/schemas/RouteFeeDto'
        dexDetails:
          description: Dex information
          nullable: true
          allOf:
            - $ref: '#/components/schemas/DexDetailsDto'
      required:
        - name
        - logoURI
        - routeFee
        - dexDetails
    RefuelDto:
      type: object
      properties:
        input:
          description: Input refuel information
          nullable: true
          allOf:
            - $ref: '#/components/schemas/RefuelInputDto'
        output:
          description: Output refuel information
          allOf:
            - $ref: '#/components/schemas/RefuelOutputDto'
      required:
        - input
        - output
    RewardsDto:
      type: object
      properties:
        rebateAmount:
          type: string
          description: Rebate amount
          example: '10000'
        rewardAmount:
          type: string
          description: Reward amount
          example: '20000'
        totalRewardAmount:
          type: string
          description: Total reward amount
          example: '30000'
        totalRewardAmountInUsd:
          type: number
          description: Total reward amount in USD
          example: 0.03
        token:
          description: Token information
          allOf:
            - $ref: '#/components/schemas/TokenDto'
        isRewardEnabled:
          type: boolean
          description: Is reward enabled
          example: true
      required:
        - rebateAmount
        - rewardAmount
        - totalRewardAmount
        - totalRewardAmountInUsd
        - token
        - isRewardEnabled
    DepositDataDto:
      type: object
      properties:
        address:
          type: string
          description: Address where the user deposits funds to
        token:
          type: string
          description: Input token address on the origin chain
        amount:
          type: string
          description: Input amount (in token decimals)
        chainId:
          type: number
          description: Origin chain ID
        memo:
          type: string
          description: Memo. Only present for Stellar source chains.
      required:
        - address
        - token
        - amount
        - chainId
    TokenAssetDto:
      type: object
      properties:
        chainId:
          type: number
          description: Chain ID of the token
          example: 59144
        address:
          type: string
          description: Token address
          example: '0xe5d7c2a44ffddf6b295a15c148167daaaf5cf34f'
        name:
          type: string
          description: Token name
          example: Bridged Wrapped Ether Linea
        symbol:
          type: string
          description: Token symbol
          example: WETH
        decimals:
          type: number
          description: Token decimals
          example: 18
        logoURI:
          type: string
          description: Logo URI
          example: >-
            https://coin-images.coingecko.com/coins/images/31019/large/download_%2817%29.png?1696529855
          nullable: true
        icon:
          type: string
          description: Icon URI
          example: >-
            https://coin-images.coingecko.com/coins/images/31019/large/download_%2817%29.png?1696529855
          nullable: true
        chainAgnosticId:
          type: string
          description: Chain agnostic ID
          nullable: true
        cgId:
          type: string
          description: CoinGecko ID
          nullable: true
      required:
        - chainId
        - address
        - name
        - symbol
        - decimals
    DomainDto:
      type: object
      properties:
        name:
          type: string
          description: Domain name
          example: Permit2
        chainId:
          type: object
          description: Chain ID
          example: 42161
        verifyingContract:
          type: string
          description: Verifying contract address
          example: '0x000000000022D473030F116dDEE9F6B43aC78BA3'
        version:
          type: string
          description: Version
          example: '1'
        salt:
          type: object
          description: Salt (hex string)
          example: '0xabcdef'
    SerializedTxDataDto:
      type: object
      properties:
        instructions:
          description: Transaction instructions
          type: array
          items:
            $ref: '#/components/schemas/SerializedInstructionDto'
        lookupTables:
          description: Address lookup tables
          example: []
          type: array
          items:
            type: string
        signers:
          type: array
          description: Signers (array of secret key arrays)
          items:
            type: array
            items:
              type: number
          example: []
      required:
        - instructions
        - lookupTables
        - signers
    RouteFeeDto:
      type: object
      properties:
        token:
          description: Token information
          allOf:
            - $ref: '#/components/schemas/TokenDto'
        amount:
          type: string
          description: Fee amount
          example: '2585'
        feeInUsd:
          type: number
          description: Fee in USD
          example: 0.002584
        priceInUsd:
          type: number
          description: Token price in USD
          example: 1
      required:
        - token
        - amount
        - feeInUsd
        - priceInUsd
    DexDetailsDto:
      type: object
      properties:
        protocol:
          description: Protocol information
          allOf:
            - $ref: '#/components/schemas/ProtocolDto'
        minAmountOut:
          type: string
          description: Minimum amount of tokens to receive after swap
          example: '36400217'
        outputTokenAddress:
          type: string
          description: Address of the output token
          example: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
        inputTokenAddress:
          type: string
          description: Address of the input token
          example: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
        amountOut:
          type: string
          description: Expected amount of tokens to receive after swap
          example: '36583133'
        slippage:
          type: number
          description: Slippage tolerance percentage
          example: 0.5
      required:
        - protocol
        - minAmountOut
        - outputTokenAddress
        - inputTokenAddress
        - amountOut
        - slippage
    RefuelInputDto:
      type: object
      properties:
        token:
          description: Token information
          allOf:
            - $ref: '#/components/schemas/TokenDto'
        amount:
          type: string
          description: Amount of tokens
          example: '1000000'
      required:
        - token
        - amount
    RefuelOutputDto:
      type: object
      properties:
        token:
          description: Token information
          allOf:
            - $ref: '#/components/schemas/TokenDto'
        amount:
          type: string
          description: Amount of tokens
          example: '1000000'
      required:
        - token
        - amount
    SerializedInstructionDto:
      type: object
      properties:
        programId:
          type: string
          description: Program ID
          example: 8jZnXYnZB1MJQG6zBXyouzcycsaPTrZtPXPHDNifjYaC
        keys:
          description: Account keys
          type: array
          items:
            $ref: '#/components/schemas/SerializedInstructionKeyDto'
        data:
          type: string
          description: Base64 encoded instruction data
          example: >-
            AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAED
      required:
        - programId
        - keys
        - data
    ProtocolDto:
      type: object
      properties:
        name:
          type: string
          description: Protocol identifier name
          example: openocean
        displayName:
          type: string
          description: User-friendly display name of the protocol
          example: OpenOcean
        icon:
          type: string
          description: URL to the protocol icon
          example: https://media.socket.tech/dexes/openocean.png
      required:
        - name
        - displayName
        - icon
    SerializedInstructionKeyDto:
      type: object
      properties:
        pubkey:
          type: string
          description: Public key address
          example: 8jZnXYnZB1MJQG6zBXyouzcycsaPTrZtPXPHDNifjYaC
        isSigner:
          type: boolean
          description: Whether this key is a signer
          example: true
        isWritable:
          type: boolean
          description: Whether this account is writable
          example: true
      required:
        - pubkey
        - isSigner
        - isWritable

````